---
layout: default_marketing
title: GitLab upcoming releases
description: "Find out about Gitlab future releases and their important features. View more here!"
canonical_path: "/upcoming-releases/"
banner: devops-icons
---

_Note: This page contains information related to upcoming products, features and functionality. It is important to note that the information presented is for informational purposes only, so please do not rely on the information for purchasing or planning purposes. Just like with all projects, the items mentioned on the page are subject to change or delay, and the development, release, and timing of any products, features or functionality remain at the sole discretion of GitLab Inc._

GitLab releases a new version
[every single month on the 22nd](https://about.gitlab.com/handbook/marketing/blog/release-posts/#release-posts).

The list is an outline of **tentpole features** -- the most important features
of upcoming releases -- and doesn't include most contributions from volunteers
outside the company. This is not an authoritative list of upcoming releases - it
only reflects current [milestones](https://gitlab.com/groups/gitlab-org/-/milestones).

Note that we often move things around, do things that are not listed, and cancel
things that _are_ listed. Some of the things listed here might not ever be in
GitLab. New Starter, Premium, and Ultimate features are indicated with labels.
This is our best estimate of where new features will land, but is in no way
definitive. You can also view [upcoming features by product tier](/direction/paid_tiers/).

Past releases can be found on our [releases page](/releases/).

<%= direction["all"]["all"] %>

---
